/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { pdf } from '@progress/kendo-drawing';
import * as i0 from "@angular/core";
/**
 * Represents the Kendo UI PDFMargin component for Angular.
 */
export declare class PDFExportMarginComponent implements pdf.PageMargin {
    /**
     * The bottom margin. The supported units are `"mm"`, `"cm"`, `"in"`, and `"pt"` (default).
     * Numbers are considered to be points (`"pt"`).
     */
    left?: number | string;
    /**
     * The top margin. The supported units are `"mm"`, `"cm"`, `"in"`, and `"pt"` (default).
     * Numbers are considered to be points (`"pt"`).
     */
    top?: number | string;
    /**
     * The right margin. The supported units are `"mm"`, `"cm"`, `"in"`, and `"pt"` (default).
     * Numbers are considered to be points (`"pt"`).
     */
    right?: number | string;
    /**
     * The bottom margin. The supported units are `"mm"`, `"cm"`, `"in"`, and `"pt"` (default).
     * Numbers are considered to be points (`"pt"`).
     */
    bottom?: number | string;
    /**
     * @hidden
     */
    get options(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<PDFExportMarginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PDFExportMarginComponent, "kendo-pdf-export-margin", never, { "left": { "alias": "left"; "required": false; }; "top": { "alias": "top"; "required": false; }; "right": { "alias": "right"; "required": false; }; "bottom": { "alias": "bottom"; "required": false; }; }, {}, never, never, true, never>;
}
